• FreeBSD безопасность CVE-2016-1887 — уязвимость в коде обработки аргументов системного вызова sendmsg() позволяет перезаписать содержимое больших областей памяти ядра, что может быть использовано локальным злоумышленником для получения прав root. Проблема проявляется в ветке FreeBSD 10.x.

    CVE-2016-1886 — уязвимость в драйвере клавиатуры atkbd, связанная с переполнением буфера при обработке вызовов ioctl. Локальный злоумышленник может организовать выполнение кода в контексте ядра, отправив специально оформленный ioctl для изменения раскладки клавиатуры. Проблема проявляется во всех ветках FreeBSD. В качестве обходного пути блокирования уязвимости можно отключить изменение раскладки ("sysctl hw.kbd.keymap_restrict_change=4").

Replies (0)